CSB2FORMAT(1)

NAME
csb2format - Spanish banks’ CSB norm 43 converter to OFX, Homebank, json, yaml, xls, xlsx, ods, csv, tsv

DESCRIPTION
usage: csb2format [-h] [-s] [-df] [-d DECIMAL] [-e ENCODING] [--use-float]

    [-V] [-f {homebank,json,ofx,ofx1,yaml}] [-v] csbFile convertedFile

Convert a CSB43 file to another format

  options:

-h, --help
    show this help message and exit

-v, --version
    show program's version number and exit

  csb43 arguments:

csbFile
    a csb43 file ('-' for stdin)

-s, --strict
    strict mode (default: False)

-df, --dayfirst
    use DDMMYY as date format while parsing the csb43 file instead of YYMMDD (default: True)

-d DECIMAL, --decimal DECIMAL
    set the number of decimal places for the currency type (default: 2)

-e ENCODING, --encoding ENCODING
    set the input encoding ('cp850' for standard AEB file, default: 'latin1')

--use-float
    export monetary amounts using binary floating point numbers as a fallback (default: False)

-V, --verbose
    show csb43 warnings

  output arguments:

convertedFile
    destination file ('-' for stdout)

-f {homebank,json,ofx,ofx1,yaml}, --format {homebank,json,ofx,ofx1,yaml}
    Format of the output file (default: ofx)

SEE ALSO
The full documentation for csb2format is maintained as a Texinfo manual. If the info and csb2format programs are properly installed at your site, the command

    info csb2format

should give you access to the complete manual.